# Created by Microsemi Libero Software 11.3.0.112
# Fri Aug 01 16:17:54 2014

# (NEW DESIGN)

# create a new design
new_design -name "IMPLANT_TOP" -family "IGLOO"
set_device -die {AGL250V2} -package {100 VQFP} -speed {STD} -voltage {1.2~1.5} -IO_DEFT_STD {LVCMOS 1.2V} -RESTRICTPROBEPINS {1} -TEMPR {COM} -VCCI_1.2_VOLTR {COM} -VCCI_1.5_VOLTR {COM} -VCCI_1.8_VOLTR {COM} -VCCI_2.5_VOLTR {COM} -VCCI_3.3_VOLTR {COM} -VOLTR {COM}


# set default back-annotation base-name
set_defvar "BA_NAME" "IMPLANT_TOP_ba"
set_defvar "IDE_DESIGNERVIEW_NAME" {Impl1}
set_defvar "IDE_DESIGNERVIEW_COUNT" "1"
set_defvar "IDE_DESIGNERVIEW_REV0" {Impl1}
set_defvar "IDE_DESIGNERVIEW_REVNUM0" "1"
set_defvar "IDE_DESIGNERVIEW_ROOTDIR" {C:\Users\ITP\Desktop\IGLOO\IGLOO_RHA\designer}
set_defvar "IDE_DESIGNERVIEW_LASTREV" "1"

# set working directory
set_defvar "DESDIR" "C:/Users/ITP/Desktop/IGLOO/IGLOO_RHA/designer/impl1"

# set back-annotation output directory
set_defvar "BA_DIR" "C:/Users/ITP/Desktop/IGLOO/IGLOO_RHA/designer/impl1"

# enable the export back-annotation netlist
set_defvar "BA_NETLIST_ALSO" "1"

# set EDIF options
set_defvar "EDNINFLAVOR" "GENERIC"

# set HDL options
set_defvar "NETLIST_NAMING_STYLE" "VHDL93"

# setup status report options
set_defvar "EXPORT_STATUS_REPORT" "1"
set_defvar "EXPORT_STATUS_REPORT_FILENAME" "IMPLANT_TOP.rpt"

# legacy audit-mode flags (left here for historical reasons)
set_defvar "AUDIT_NETLIST_FILE" "1"
set_defvar "AUDIT_DCF_FILE" "1"
set_defvar "AUDIT_PIN_FILE" "1"
set_defvar "AUDIT_ADL_FILE" "1"

# import of input files
import_source  \
-format "edif" -edif_flavor "GENERIC" -netlist_naming "VHDL" {../../synthesis/IMPLANT_TOP.edn}

# save the design database
save_design {IMPLANT_TOP.adb}


compile
report -type "status" {IMPLANT_TOP_compile_report.txt}
report -type "pin" -listby "name" {IMPLANT_TOP_report_pin_byname.txt}
report -type "pin" -listby "number" {IMPLANT_TOP_report_pin_bynumber.txt}

save_design
