quietly set ACTELLIBNAME IGLOO
quietly set PROJECT_DIR "C:/Users/ITP/Desktop/IGLOO_CurrentSource"

if {[file exists presynth/_info]} {
   echo "INFO: Simulation library presynth already exists"
} else {
   file delete -force presynth 
   vlib presynth
}
vmap presynth presynth
vmap igloo "C:/Microsemi/Libero_v11.5/Designer/lib/modelsim/precompiled/vhdl/igloo"

vcom -93 -explicit  -work presynth "${PROJECT_DIR}/smartgen/FIFO_OUT/FIFO_OUT.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/DAVROT_FIFO_INTERFACE.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/hdl/USB_PHY.vhd"
vcom -93 -explicit  -work presynth "${PROJECT_DIR}/stimulus/FIFO_Interface_UUT.vhd"

vsim -L IGLOO -L presynth  -t 1ps presynth.FIFO_Interface_UUT
add wave /FIFO_Interface_UUT/*
run 1000ns
